<!DOCTYPE html>

<html>
<head>
<meta charset="UTF-8">

<title>module Storehaus - RDoc Documentation</title>

<script type="text/javascript">
  var rdoc_rel_prefix = "./";
  var index_rel_prefix = "./";
</script>

<script src="./js/jquery.js"></script>
<script src="./js/darkfish.js"></script>

<link href="./css/fonts.css" rel="stylesheet">
<link href="./css/rdoc.css" rel="stylesheet">



<body id="top" role="document" class="module">
<nav role="navigation">
  <div id="project-navigation">
    <div id="home-section" role="region" title="Quick navigation" class="nav-section">
  <h2>
    <a href="./index.html" rel="home">Home</a>
  </h2>

  <div id="table-of-contents-navigation">
    <a href="./table_of_contents.html#pages">Pages</a>
    <a href="./table_of_contents.html#classes">Classes</a>
    <a href="./table_of_contents.html#methods">Methods</a>
  </div>
</div>

    <div id="search-section" role="search" class="project-section initially-hidden">
  <form action="#" method="get" accept-charset="utf-8">
    <div id="search-field-wrapper">
      <input id="search-field" role="combobox" aria-label="Search"
             aria-autocomplete="list" aria-controls="search-results"
             type="text" name="search" placeholder="Search" spellcheck="false"
             title="Type to search, Up and Down to navigate, Enter to load">
    </div>

    <ul id="search-results" aria-label="Search Results"
        aria-busy="false" aria-expanded="false"
        aria-atomic="false" class="initially-hidden"></ul>
  </form>
</div>

  </div>

  

  <div id="class-metadata">
    
    
    
    
    <!-- Method Quickref -->
<div id="method-list-section" class="nav-section">
  <h3>Methods</h3>

  <ul class="link-list" role="directory">
    
    <li ><a href="#method-c-configure">::configure</a>
    
  </ul>
</div>

  </div>
</nav>

<main role="main" aria-labelledby="module-Storehaus">
  <h1 id="module-Storehaus" class="module">
    module Storehaus
  </h1>

  <section class="description">
    
  </section>

  
  <section id="5Buntitled-5D" class="documentation-section">
    

    

    
    <section class="constants-list">
      <header>
        <h3>Constants</h3>
      </header>
      <dl>
      
        <dt id="VERSION">VERSION
        
        <dd>
        
      
      </dl>
    </section>
    

    
    <section class="attribute-method-details" class="method-section">
      <header>
        <h3>Attributes</h3>
      </header>

      
      <div id="attribute-c-config" class="method-detail">
        <div class="method-heading attribute-method-heading">
          <span class="method-name">config</span><span
            class="attribute-access-type">[R]</span>
        </div>

        <div class="method-description">
        
        
        
        </div>
      </div>
      
    </section>
    

    
     <section id="public-class-5Buntitled-5D-method-details" class="method-section">
       <header>
         <h3>Public Class Methods</h3>
       </header>

    
      <div id="method-c-configure" class="method-detail ">
        
        <div class="method-heading">
          <span class="method-name">configure</span><span
            class="method-args">() { |config| ... }</span>
          
          <span class="method-click-advice">click to toggle source</span>
          
        </div>
        

        <div class="method-description">
          
          <p>Set configuration options</p>

<pre class="ruby"><span class="ruby-constant">Storehaus</span>.<span class="ruby-identifier">configure</span> <span class="ruby-keyword">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">config</span><span class="ruby-operator">|</span>
  <span class="ruby-identifier">config</span>.<span class="ruby-identifier">before_action</span> = <span class="ruby-value">:authenticate_admin_user!</span>
  <span class="ruby-identifier">config</span>.<span class="ruby-identifier">register_metadata_field</span> <span class="ruby-value">:taken_on</span>, <span class="ruby-value">:datetime</span>
  <span class="ruby-identifier">config</span>.<span class="ruby-identifier">register_metadata_field</span> <span class="ruby-value">:author</span>, <span class="ruby-value">:string</span>, <span class="ruby-value">default:</span> <span class="ruby-string">&quot;Joe&quot;</span>
<span class="ruby-keyword">end</span>
</pre>
          
          

          
          <div class="method-source-code" id="configure-source">
            <pre><span class="ruby-comment"># File lib/storehaus/configuration.rb, line 14</span>
<span class="ruby-keyword">def</span> <span class="ruby-identifier ruby-title">configure</span>
  <span class="ruby-ivar">@config</span> = <span class="ruby-constant">Configuration</span>.<span class="ruby-identifier">new</span>
  <span class="ruby-keyword">yield</span> <span class="ruby-identifier">config</span>
<span class="ruby-keyword">end</span></pre>
          </div>
          
        </div>

        

        
      </div>

    
    </section>
  
  </section>
</main>


<footer id="validator-badges" role="contentinfo">
  <p><a href="https://validator.w3.org/check/referer">Validate</a>
  <p>Generated by <a href="https://ruby.github.io/rdoc/">RDoc</a> 6.0.1.
  <p>Based on <a href="http://deveiate.org/projects/Darkfish-RDoc/">Darkfish</a> by <a href="http://deveiate.org">Michael Granger</a>.
</footer>

